GET api/OnSiteLocation/GetAssociatedSubService?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfCOSSubServiceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | COSSubServiceDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"COSServiceId": 4,
"CareOnSiteLocationId": 5,
"UserId": 6,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:16.1522747-07:00",
"DateUpdated": "2026-06-20T12:49:16.1522747-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
"totalCount": 3
}